=== debian/changelog ===
ros-indigo-laser-joint-processor (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:25 -0000

ros-indigo-laser-joint-processor (1.0.7-0trusty) trusty; urgency=high

  * Updated opencv dependencies and rosdep tag
  * Fix catkin_package macro of laser_joint_processor
  * Contributors: Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-laser-joint-processor (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Revert "Fix dependency of laser_joint_processor"
  * Fix dependency of laser_joint_processor
  * Contributors: Devon Ash, Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-laser-joint-processor (1.0.5-0trusty) trusty; urgency=high

  * Removed mainpage.dox for *
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.1-0trusty) trusty; urgency=high

  * Catkin linted
  * Added hydro devel, compiles and makes in hydro
  * Broken cmake, fixed now
  * Removed unnecessary build files and bin
  * Catkinization of laser_joint_processor
  * Fix laser detection with new opencv API.
  * Contributors: Austin Hendrix, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000
