=== debian/control ===
Source: ros-indigo-laser-joint-processor
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-joint-states-settler, ros-indigo-message-filters, ros-indigo-settlerlib
Homepage: http://www.ros.org/wiki/laser_joint_processor
Standards-Version: 3.9.2

Package: ros-indigo-laser-joint-processor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-joint-states-settler, ros-indigo-message-filters, ros-indigo-settlerlib
Description: Computes joint angles associated with a specific set of detected checkerboard corners.
 This package is experimental and unstable. Expect its APIs to change.
